databaseChangeLog:
  #    main
  - changeSet:
      id: create agent registry
      author: a.kozlov
      changes:
        - createTable:
            columns:
              - column:
                  name: uid
                  type: BIGINT
                  autoIncrement: true
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: agent_registry_pkey
              - column:
                  name: caption
                  type: varchar(50)
                  constraints:
                    unique: true
                    nullable: false
            tableName: agent_registry

  - include:
      file: db/migration/agents.sql


  - changeSet:
      id: create many to nany table
      author: a.kozlov
      changes:
        - createTable:
            tableName: agent_x_repo
            columns:
              - column:
                  name: uid
                  type: BIGINT
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: agent_x_repo_pkey

              - column:
                  name: uid_agent_registry
                  type: BIGINT
                  constraints:
                    foreignKey:
                      referencedColumnNames: uid
                      referencedTableName: agent_registry
                    nullable: false

              - column:
                  name: uid_repo
                  type: BIGINT
                  constraints:
                    unique: false
                    nullable: false

              - column:
                  name: meta_data
                  type: varchar
                  constraints:
                    unique: false
                    nullable: true




# TODO DELETE
#  # TEMPLATE FOR AGENT REGISTRY ITEMS
#  # required fields:
#  # Primary key Long uid
#  # Foreign key Long uid_agent_registry
#  # Optional fields: any meta data
#
#  #gitlab
#  - changeSet:
#      id: create gitlab agent registry item
#      author: a.kozlov
#      changes:
#        - createTable:
#            columns:
#              - column:
#                  name: uid
#                  type: BIGINT
#                  constraints:
#                    nullable: false
#                    primaryKey: true
#                    primaryKeyName: gitlab_agent_registry_item_pkey
#
#              - column:
#                  name: uid_agent_registry
#                  type: BIGINT
#                  constraints:
#                    foreignKey:
#                      referencedColumnNames: uid
#                      referencedTableName: agent_registry
#                    nullable: false
#
#              - column:
#                  name: private_token
#                  type: varchar(50)
#                  constraints:
#                    unique: false
#                    nullable: false
#            tableName: gitlab_agent_registry_item





